<template>
    <div class="title-block">
        <div class="container">
            <div
                class="title-block__button-and-text"
                @click="back"
            >
                <a class="button-back"/>
                <span>Назад</span>
            </div>
            <h1 class="title-block__title">{{title}}</h1>
        </div>
    </div>
</template>

<script>
export default {
    name: 'base-title',
    props: {
        title: {
            required: false,
            type: String,
            default: ''
        }
    },
    methods: {
        back() {
            alert('Ну типа вернулись назад');
        }
    }
};
</script>
